Recreate a Debicheck Collection as a new EFT Collection
POST
Field descriptions:
merchantProfileId: The creditor profile identifier to use for the EFT Collection.
collectionDate: The date on which to action this collection.
amountCents: The amount (cents) to collect.
externalReference: A unique reference, which can later be queried for this collection. If this value is not unique you will get a HTTP 400 response ("Collection with this external reference already exists")
serviceType: The type of EFT to create for this collection.
Accepted values: ONEDAY, TWODAY, SAMEDAY.
Bearerheader
Authorization<token>JWT Authorization header using the Bearer scheme. Example: "Authorization: Bearer {token}"
collectionId*stringFormat
uuidX-Forwarded-For?string- body
merchantProfileId?integerFormat
int32collectionDate?stringFormat
date-timeamountCents?integerFormat
int64externalReference?string|nullserviceType?EFTCollectionServiceTypeValue in
"ONEDAY""TWODAY""SAMEDAY"Created
application/json- response
serviceType*EFTCollectionServiceTypeValue in
"ONEDAY""TWODAY""SAMEDAY"originalDebicheckCollectionId?|Format
uuidfinalResultReceivedAt?|Format
date-timecompletionDueDate?|Format
date-timeid?stringFormat
uuidreferenceNumber?|Length
length <= 34externalReference?string|nullreconReference?string|nullsubmissionDate?stringFormat
date-timecollectionDate?stringFormat
date-timecycleDate?|Format
date-timeabbreviatedName*stringMatch
^[a-zA-Z0-9\- ]*$Length
1 <= length <= 10profileCode*stringLength
1 <= lengthentryClass*stringLength
1 <= lengthcontractReference*stringMatch
^[a-zA-Z0-9.\-,()%+\$;=@\?\:\~\/]*$Length
1 <= length <= 14state?CollectionStateValue in
"NEW""QUEUED""SUBMITTED""ACCEPTED""COMPLETED""VALIDATION_FAILURE""TRANSACTION_FAILURE""DISPUTED""UNPAID""UNPAID_WITH_RECOURSE""INTERNAL_FAILURE""CUTOFF"amountCents*integerFormat
int64Range
0 < valuecurrency*stringMatch
ZARLength
1 <= lengthultimateCreditor?sequenceNumber?|Format
int64userGenerationNumber?|Format
int64debtor*creditor*createdAt?stringFormat
date-timeclientId?string|nullstatementId?string|nullsettlementId?string|nullunpaidStatementId?string|nulloriginalCollectionDate?|Format
date-timemandateId?string|nullbulkUploadId?|Format
uuidrecourseSettlementId?|Format
uuidcurl -X POST 'https://www.api.revio.co.za/v2/collection/debicheck/497f6eca-6276-4993-bfeb-53cbbbba6f08/recreate_as_eft' \ -H 'Content-Type: application/json' \ -d '{}'Example Response
{ "serviceType": "ONEDAY", "originalDebicheckCollectionId": "7fcde425-3388-4f68-992b-419459c8197d", "finalResultReceivedAt": "2019-08-24T14:15:22Z", "completionDueDate": "2019-08-24T14:15:22Z", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "referenceNumber": "string", "externalReference": "string", "reconReference": "string", "submissionDate": "2019-08-24T14:15:22Z", "collectionDate": "2019-08-24T14:15:22Z", "cycleDate": "2019-08-24T14:15:22Z", "abbreviatedName": "string", "profileCode": "string", "entryClass": "string", "contractReference": "string", "state": "NEW", "amountCents": 1, "currency": "string", "ultimateCreditor": { "accountNumber": "string", "accountType": "CURRENT", "branchCode": "string", "name": "string", "bank": "string", "phoneNumber": "string", "emailAddress": "string", "idNumber": "string" }, "sequenceNumber": 0, "userGenerationNumber": 0, "debtor": { "accountNumber": "string", "accountType": "CURRENT", "bank": "string", "branchCode": "string", "firstName": "string", "lastName": "string", "identification": { "emailAddress": "string", "idNumber": "string", "phoneNumber": "string", "passportNumber": "string" } }, "creditor": { "accountNumber": "string", "accountType": "CURRENT", "branchCode": "string", "name": "string", "bank": "string", "phoneNumber": "string", "emailAddress": "string", "idNumber": "string" }, "createdAt": "2019-08-24T14:15:22Z", "clientId": "string", "statementId": "string", "settlementId": "string", "unpaidStatementId": "string", "originalCollectionDate": "2019-08-24T14:15:22Z", "mandateId": "string", "bulkUploadId": "42e0fc60-487e-4aa1-9223-1fd9ecaeff6a", "recourseSettlementId": "135e908a-0af2-4a80-b0e3-b66befc5d4c1"}